<?php
$enable   = get_theme_mod( 'magic_blog_pro_instagram_enable', true );

if ( ! $enable ) {
	return;
}

$magic_blog_pro_access_token   = get_theme_mod( 'magic_blog_pro_insta_token' );

if ( empty( $magic_blog_pro_access_token ) ) {
	return;
}
 
// I recommend to use "self" if your application is not approved
$ig_user_id = 'self';
 
$magic_blog_pro_remote_wp = wp_remote_get( "https://api.instagram.com/v1/users/" . $ig_user_id . "/media/recent/?access_token=" . $magic_blog_pro_access_token );
			
if( $magic_blog_pro_remote_wp['response']['code'] != 200 ) {
	return;
}

$instagram_response = json_decode( $magic_blog_pro_remote_wp['body'] );

$section_title   = get_theme_mod( 'magic_blog_pro_insta_title', esc_html__( 'From the Instagram', 'magic-blog-pro' ) );
$section_sub_title   = get_theme_mod( 'magic_blog_pro_insta_subtitle', esc_html__( 'Street fashion is fashion that is considered to have emerged not from studios, but from the grassroots streetwear...', 'magic-blog-pro' ) );
$count   = get_theme_mod( 'magic_blog_pro_insta_count', 6 );
$col   = get_theme_mod( 'magic_blog_pro_insta_col', 6 );
?>

<div id="instagram" class="relative page-section">
    <div class="wrapper">
    	<?php if ( ( ! empty( $section_title ) ) || ( ! empty( $section_sub_title ) ) ) : ?>
	        <header class="section-header">
	        	<?php if ( ! empty( $section_title ) ) : ?>
	            	<h2 class="section-title"><?php echo esc_html( $section_title ); ?></h2>
	           <?php endif; ?>
	            <p><?php if ( ! empty( $section_sub_title ) ) : ?>
	                <p><?php echo esc_html( $section_sub_title ); ?></p>
	            <?php endif; ?></p>
	        </header><!-- .entry-header -->
    	<?php endif; ?>
        <div class="entry-content clear col-<?php echo esc_attr( $col ); ?>">
			<?php
			$data = $instagram_response->data;
		 	for ( $i=0; $i < absint( $count ); $i++ ) { ?>
		 		<article class="hentry">
                    <a target="_blank" href="<?php echo esc_url( $data[ $i ]->link ); ?>"><img src="<?php echo esc_url( $data[ $i ]->images->standard_resolution->url ); ?>" title="<?php echo ( ! empty( $data[ $i ]->caption->text ) ) ? esc_html( $data[ $i ]->caption->text ) : ''; ?>"></a>
                </article>
		 	<?php
			}
			?>
		</div><!-- .section-content -->
    </div><!-- .wrapper -->
</div><!-- #instagram -->
