<?php
/**
 * Template part for displaying front page popular section.
 *
 * @package Moral
 */

// Get default  mods value.
$popular_section = get_theme_mod( 'magic_blog_pro_popular_section', 'recent-posts' );


if ( 'disable' === $popular_section ) {
	return;
}

$default = magic_blog_pro_get_default_mods();


?>
<?php  
    $posts_per_page = get_theme_mod( 'magic_blog_pro_popular_section_num', 3 );
    if ( $posts_per_page > 3 ) {
    	$class = 3;
    } else {
    	$class = $posts_per_page; 
    }
?>

<div id="popular-post" class="col-<?php echo esc_attr( $class ); ?> page-section">
    <div class="wrapper">
        <div class="section-header">
        <?php  
        	$section_title =  get_theme_mod( 'magic_blog_pro_popular_section_title', $default['magic_blog_pro_popular_section_title'] );
        	$section_sub_title =  get_theme_mod( 'magic_blog_pro_popular_section_sub_title', $default['magic_blog_pro_popular_section_sub_title'] );
			if ( ! empty( $section_title ) ) : ?>
                <h2 class="section-title"><?php echo esc_html( $section_title ); ?></h2>
            <?php endif; 
            if ( ! empty( $section_sub_title ) ) : ?>
                <p><?php echo esc_html( $section_sub_title ); ?></p>
            <?php endif; ?>
        </div><!-- .section-header -->
        <div class="section-content clear">
        <?php  
        	if ( 'recent-posts' === $popular_section ) {
            	$args = array(
            			'posts_per_page' => $posts_per_page,
            			'ignore_sticky_posts' => true,
            		);
        	} elseif ( 'cat' === $popular_section ) {
        		$cat_id = get_theme_mod( 'magic_blog_pro_popular_section_cat' );
        		$args = array(
            			'posts_per_page' => $posts_per_page,
            			'ignore_sticky_posts' => true,
            			'cat' => $cat_id,
            		);
        	} elseif ( 'post' === $popular_section ) {
        		$id = array();
				for ( $i=1; $i <= $posts_per_page; $i++ ) { 
					$id[] = get_theme_mod( 'magic_blog_pro_popular_section_post_' . $i );
				}
        		$args = array(
            			'posts_per_page' => $posts_per_page,
            			'ignore_sticky_posts' => true,
						'post__in' => (array)$id,	
    					'orderby'	=> 'post__in',
            		);
        	}

        	$query = new WP_Query( $args );

			if ( $query->have_posts() ) :
				while ( $query->have_posts() ) :
					$query->the_post(); ?>		        
		            <article class="hentry">
		                <div class="popular-wrapper">
		                    <div class="featured-image">
		                        <a href="<?php the_permalink(); ?>"><img src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title(); ?>"></a>
		                    </div><!-- .featured-image -->

		                    <div class="entry-container">
		                        <div class="entry-meta">
		                            <span class="posted-on">
		                                <span class="screen-reader-text"><?php echo esc_html('Posted on', 'magic-blog-pro'); ?></span> 
		                                <a href="<?php the_permalink(); ?>" rel="bookmark" tabindex="-1">
		                                    <time class="entry-date published" datetime="2018-10-22T06:27:14+00:00"><?php magic_blog_pro_posted_on(); ?></time>
		                                    <time class="updated" datetime="2018-10-29T05:26:59+00:00"><?php magic_blog_pro_posted_on(); ?></time>
		                                </a>
		                            </span><!-- .posted-on -->
		                            <span class="byline"> <?php esc_html_e('By:', 'magic-blog-pro'); ?> <span class="author vcard">
		                                <a class="url fn n" href="<?php esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" tabindex="-1"><?php echo esc_html( get_the_author() ); ?> </a></span>
		                            </span><!-- .byline -->
		                        </div>

		                        <header class="entry-header">
		                            <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		                        </header>

		                        <div class="entry-content">
		                            <?php the_excerpt(); ?>
		                        </div><!-- .entry-content -->

		                        <div class="cat-wrapper">
		                            <span class="cat-links">
		                                 <?php the_category( esc_html__( ', ', 'magic-blog-pro' ) ); ?>
		                            </span><!-- .cat-links -->       
		                            <?php
		                            $popular_btn =  get_theme_mod( 'magic_blog_pro_popular_btn_text', $default['magic_blog_pro_popular_btn_text'] );
		                             if( ! empty($popular_btn)): ?>
			                            <div class="more-link">
			                                <a href="<?php  the_permalink(); ?>"><?php echo esc_html($popular_btn); ?></a>
			                            </div>
			                         <?php endif; ?>
		                        </div><!-- .cat-wrapper -->
		                    </div><!-- .entry-container -->
		                </div>
		            </article>
			        <?php endwhile; ?>
			        <?php wp_reset_postdata(); ?>
	        		<?php endif; ?>
        	</div><!-- .section-content -->
    </div><!-- .wrapper -->
</div><!-- #blog -->