<?php
/**
 * Template part for displaying front page subscribe.
 *
 * @package Moral
 */

if ( ! defined( 'JETPACK__VERSION' ) || ! class_exists( 'Jetpack_Subscriptions_Widget' ) ) {
	return;
}

$default = magic_blog_pro_get_default_mods();
$subscribe = get_theme_mod( 'magic_blog_pro_enable_subscribe', true );

$bg_img = get_theme_mod( 'magic_blog_pro_subscribe_bg_image', $default['magic_blog_pro_subscribe_bg_image'] ) ;


if ( ! $subscribe ) {
	return;
}

?>
<div id="subscribe" class="col-2">
    <div class="wrapper">
        <div class="subscribe-wrapper">
        <?php 
        	$subscribe_sub_title = get_theme_mod( 'magic_blog_pro_subscribe_sub_title', $default['magic_blog_pro_subscribe_sub_title'] ) ;
			$subscribe_title = get_theme_mod( 'magic_blog_pro_subscribe_title', $default['magic_blog_pro_subscribe_title'] ) ;
			$subscribe_content = get_theme_mod( 'magic_blog_pro_subscribe_text', $default['magic_blog_pro_subscribe_text'] ) ;
			$placeholder = get_theme_mod( 'magic_blog_pro_subscribe_placeholder', $default['magic_blog_pro_subscribe_placeholder'] ) ;
			$btn_txt = get_theme_mod( 'magic_blog_pro_subscribe_btn_text', $default['magic_blog_pro_subscribe_btn_text'] ) ;
			?>
	        <article class="hentry">
	            <div class="entry-container">
	            
		            <header class="entry-header">
		            	<?php if ( ! empty($subscribe_sub_title)) : ?>
	                    	<span><?php echo esc_html($subscribe_sub_title); ?></span>
	                    <?php endif; ?>
	                    <?php if ( ! empty($subscribe_title)) : ?>
	                    	<h2 class="entry-title"><?php echo esc_html($subscribe_title); ?></h2>
	                    <?php endif; ?>
	                    <?php if ( ! empty($subscribe_content)) :  ?>
	                    	<p><?php echo  wp_kses_post($subscribe_content); ?></p>
	                    <?php endif; ?>
	                </header><!-- .entry-header -->

	                <div class="entry-content">
	                     <?php $subscription_shortcode = '[jetpack_subscription_form title="" subscribe_text="" subscribe_button="' . esc_html( $btn_txt ) . '" show_subscribers_total="0"]';
                						echo do_shortcode( wp_kses_post( $subscription_shortcode ) );  ?>
	                </div>
		            
				</div><!-- .entry-container --> 
            </article><!-- .hentry -->
             <article class="hentry">
                <div class="featured-image" style="background-image:url('<?php echo esc_url( $bg_img ); ?>')">
                </div>
            </article><!-- .hentry -->
        </div><!-- .subscribe-wrapper -->
    </div><!-- .wrapper -->
</div><!-- #subscribe -->